Copy for LLM[View as Markdown](https://docs.planet.com/develop/apis/processing/reference/) # Processing API Reference * Process API * Process * postProcess [API docs by Redocly](https://redocly.com/redoc/) # API Reference (1.0.0) Download OpenAPI specification:[Download](https://docs.planet.com/redocusaurus/sh-prod-process-api-spec.yaml) ## [](#tag/process)Process Make sure to use the appropriate [end-point for each of the datasets](https://docs.sentinel-hub.com/api/latest/data/), e.g. for Landsat, Sentinel-3, etc. ## [](#tag/process/operation/process)Process ##### Authorizations: *OAuth2* ##### header Parameters | | | | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | Accept | stringSets response type and has priority over the type defined in the output object of the request. Possible values are `image/jpeg`, `image/png`, `image/tiff`, `application/json`, `application/tar`, `application/x-tar`, `multipart/mixed`, and `application/octet-stream`. | ##### Request Body schema:application/jsonapplication/json | | | | ------------------ | ----------------------------------------------------------------------------------------------- | | inputrequired | object (ProcessRequestInput) | | output | object (ProcessRequestOutput) | | evalscriptrequired | stringYour evalscript. For details, click [here](https://docs.planet.com/develop/evalscripts/). | ### Responses **200** Successful response **400** Bad request **500** Server error post/process/v1 https\://services.sentinel-hub.com/process/v1 ### Request samples * Payload * Javascript * Python * Curl * Curl (multipart) Content type application/jsonapplication/json Copy Expand all Collapse all `{ "input": { "bounds": { "bbox": [ 13.822174072265625, 45.85080395917834, 14.55963134765625, 46.29191774991382 ], "geometry": { "type": "Polygon", "coordinates": [ [ [ 14.000701904296873, 46.23685258143992 ], [ 13.822174072265625, 46.09037664604301 ], [ 14.113311767578125, 45.85080395917834 ], [ 14.55963134765625, 46.038922598236 ], [ 14.441528320312498, 46.28717293114449 ], [ 14.17236328125, 46.29191774991382 ], [ 14.000701904296873, 46.23685258143992 ] ] ] }, "properties": { "crs": "http://www.opengis.net/def/crs/OGC/1.3/CRS84" } }, "data": [ { "type": "sentinel-2-l1c", "id": "string", "dataFilter": { "timeRange": { "from": "2018-10-01T00:00:00.000Z", "to": "2018-11-01T00:00:00.000Z" }, "mosaickingOrder": "mostRecent", "maxCloudCoverage": 100 }, "processing": { "upsampling": "NEAREST", "downsampling": "NEAREST", "harmonizeValues": true } } ] }, "output": { "width": 512, "height": 512, "resx": 0.1, "resy": 0.1, "responses": [ { "identifier": "", "format": { "type": "image/png" } } ] }, "evalscript": "string" }` ### Response samples * 200 * 400 * 500 Content type image/jpegimage/jpeg No sample